Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0

Dunque ho fatto un po' di prove, se imposto il report in html , vedo tutto, in pdf, no; puù essere la versione di wkhtmltox?  io ho su la 0.12.5

Enrico


La tua risposta

0

Allora, sono riuscito a installare la versione di  wkhtmltox 0.12..1.2
Sembrava funzionare tutto perfettamente, poi ho fatto qualcosa o forse il software a ricaricato un po' di dati.

in somma: se stampo dal menu a tendina sulla linea : [Modifica] [Crea]    [Stampa] [Allegati] [Azione]

L'output è corretto ma nei log di odoo o questo :

 [05/Jan/2020 13:41:07] "POST /web/action/load HTTP/1.1" 200 -
2020-01-05 13:41:08,066 11026 INFO odoo odoo.addons.base.ir.ir_attachment: _read_file reading /var/lib/odoo/filestore/odoo/bc/bcf4681543800e92a17d594681f0a8454721abe3
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/odoo/fields.py", line 937, in __get__
    value = record.env.cache.get(record, self)
  File "/usr/lib/python3.7/site-packages/odoo/api.py", line 960, in get
    value = self._data[field][record.id][key]
KeyError: <odoo.api.Environment object at 0x7f7d1bdb0f50>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/odoo/fields.py", line 937, in __get__
    value = record.env.cache.get(record, self)
  File "/usr/lib/python3.7/site-packages/odoo/api.py", line 960, in get
    value = self._data[field][record.id][key]
KeyError: <odoo.api.Environment object at 0x7f7d1bdb0f50>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/odoo/fields.py", line 937, in __get__
    value = record.env.cache.get(record, self)
  File "/usr/lib/python3.7/site-packages/odoo/api.py", line 960, in get
    value = self._data[field][record.id][key]
KeyError: <odoo.api.Environment object at 0x7f7d1bdb0f50>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/odoo/addons/base/ir/ir_attachment.py", line 101, in _file_read
    r = base64.b64encode(open(full_path,'rb').read())
FileNotFoundError: [Errno 2] File o directory non esistente: '/var/lib/odoo/filestore/odoo/bc/bcf4681543800e92a17d594681f0a8454721abe3'

------------------------------------

Se stampo dalla riga sotto : [Esporta fattura] [Invia per email] [Stampa Fattura] [Aggiungi nota di credito]

alcune stampe ritornano senza intestazione e pie di pagina, le ultime fatte con un importazione su una reinstallazione di odoo10, prima di portarlo su odoo11 ,  quelle precedenti invece riportano il seguente errore in output a schermo:


Traceback (most recent call last):
  File "/usr/lib64/python3.7/base64.py", line 510, in _input_type_check
    m = memoryview(s)
TypeError: memoryview: a bytes-like object is required, not 'str'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/odoo/addons/web/controllers/main.py", line 1620, in report_download
    response = self.report_routes(reportname, docids=docids, converter='pdf')
  File "/usr/lib/python3.7/site-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3.7/site-packages/odoo/addons/web/controllers/main.py", line 1569, in report_routes
    pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0]
  File "/usr/lib/python3.7/site-packages/odoo/addons/base/ir/ir_actions_report.py", line 627, in render_qweb_pdf
    return self._post_pdf(save_in_attachment), 'pdf'
  File "/usr/lib/python3.7/site-packages/odoo/addons/base/ir/ir_actions_report.py", line 501, in _post_pdf
    return base64.decodestring(list(save_in_attachment.values())[0].datas)
  File "/usr/lib64/python3.7/base64.py", line 554, in decodestring
    return decodebytes(s)
  File "/usr/lib64/python3.7/base64.py", line 545, in decodebytes
    _input_type_check(s)
  File "/usr/lib64/python3.7/base64.py", line 513, in _input_type_check
    raise TypeError(msg) from err
TypeError: expected bytes-like object, not str


Ancora grazie

Enrico



La tua risposta


0

Dunque, cercando in rete, ho provato a mettere i parametri del report in html invece che pdf e ci sono sia intestazione che pie di pagina;

Altre cose da controllare?



La tua risposta


0
Sergio Corato
Il 24/12/19, 22:43

Per i report per i database migrati va messo report.url con il valore URL accessibile da Odoo nel server in cui è installato (http://localhost:8069 di norma) nei parametri di configurazione


La tua risposta

0

ok si ce l'ho impostati, probabilmente ho perso qualcosa nei pacchetti che ho copiato. 

virtualizzo e faccio un testa da un altra parte upgradando il software 

Grazie


La tua risposta


0

da dove?

grazie

enrico


La tua risposta


0
Andrea Cometa
Il 23/12/19, 11:42

Hai controllato il parametro web.base.url ? li dovrebbe esserci un url raggiungibile da Odoo stesso per scaricare i file di template e css


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

40 follower

Statistiche

Richiesta del: 20/12/19, 15:33
Vista: 194 volte
Ultimo aggiornamento: 08/01/20, 09:22